@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');
/* Estilo del botón flotante */
 #whatsapp-button {
    position: fixed;
    display: flex;
    justify-content: center;
    width:50px;
    height:50px;
    line-height: 53px;
    bottom: 30px;
    right: 30px;
    background-color: #25d366; /* Color de WhatsApp */
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 20px;
    z-index: 2000;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease-in-out;
  }

  #whatsapp-button:hover {
    background-color: #128C7E; /* Color de WhatsApp al pasar el cursor */
  }

  /* Estilo de la ventana flotante de WhatsApp */
  #whatsapp-popup {
    display: none;
    position: fixed;
    bottom: 120px;
    right: 30px;
    /* max-width: 300px; */
    width: 350px;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    z-index: 2001;
  }

  #whatsapp-popup .logo-titulo {
    background-color: #20a551; /* Color de WhatsApp */
    margin: 0;
    padding: 0 10px 0 10px;
    font-size: 18px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;

  }

  #whatsapp-popup .logo-titulo img{
    width: 40%;
    filter: invert(100%);
  }


  #message-container {
    position: relative;
    padding: 20px;
    overflow: hidden;
  }

  .chat-bubble {
    position: relative;
    background-color: #20a551; /* Color de WhatsApp */
    color: #fff;
    border-radius: 10px;
    padding: 10px 10px 10px 15px;
    font-size: 15px;
    max-width: 80%;
    margin-right: auto;
    margin-left: 10px;
    font-family: 'Roboto', sans-serif;
    letter-spacing: 0.5px;  
    font-weight: 500;
    line-height: 18px;
  }

  .chat-bubble::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 100%;
    margin-top: -10px;
    border-width: 10px;
    border-style: solid;
    border-color: transparent #20a551 transparent transparent;
  }

  #message-input-container {
    position: relative;
    display: flex;
    margin-top: 25px;
    margin-bottom: 15px;
  }

  #message-input {
    width: calc(100% - 20px);
    height: 50px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    resize: none;
    font-size: 14px;
    outline: none; /* Elimina el contorno al hacer clic */
    font-family: 'Roboto', sans-serif;
    letter-spacing: 0.5px;
    line-height: 18px;
  }

  #message-input::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -10px;
    margin-top: -10px;
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent transparent #fff;
  } 

  #send-icon {
    display: block;
    position: relative;
    min-width: 40px;
    max-height: 40px;
    margin-left: 10px;
    margin-top: 5px;
    padding: 10px;
    background-color: #20a551; /* Color de WhatsApp */
    color: #fff;
    text-align: center;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease-in-out;
  }
  #send-icon img{
    position: absolute;
    width: 80%;
    right: 5%;
    top: 10%;
  }


  #send-icon:hover {
    background-color: #128C7E; /* Color de WhatsApp al pasar el cursor */
  }